<?php
#   _     _ _               _           
#  | |__ (_) | ___  _ __ __| | ___ _ __ 
#  | '_ \| | |/ _ \| '__/ _` |/ _ \ '__|
#  | |_) | | | (_) | | | (_| |  __/ |   
#  |_.__/|_|_|\___/|_|  \__,_|\___|_|   
#
$nav = (object)['src' => 'promocodes', 'inc' => '../']; ?>
<?php include_once($nav->inc.'config.php'); ?>
<!DOCTYPE html>
<html id="bil" lang="ru" ng-app="bilpro" ng-controller="bilController">
<head>
	<title>{{translate.promocodes.title}}</title>
	<?php include($nav->inc.'parts/meta.php'); ?>
	<?php include($nav->inc.'parts/css.php'); ?>
	<?php include($nav->inc.'parts/js.php'); ?>
</head>
<body class="codes-page">
	<div class="bil-main">
		<div growl></div>
		<div class="bil-version DIG">v<?php print $version;?> <?php print $updated;?></div>
		
		<div class="bil-header" ng-controller="bilHeader">
			<?php include($nav->inc.'parts/mobile-header.php'); ?>
			<div class="bil-wrapper">
				<div class="bil-title">
					<h1 class="fade-in">{{translate.promocodes.title}}</h1>
					<?php include($nav->inc.'parts/menu.php'); ?>
					<?php include($nav->inc.'parts/auth.php'); ?>
					<?php include($nav->inc.'parts/auth-popup.php'); ?>
				</div>
			</div>
		</div>
		<div class="bil-content">
			<div class="ghost-select"><span></span></div>
			
			<div class="bil-wrapper">
				<div id="grid" class="codesList itemList clearfix" ng-show="loaded && promocodes.length">
					<div class="codeItem item columnContent" ng-click="OpenPack(promocode.pack)" ng-repeat="promocode in promocodes">
						<div class="item-info">
							<div class="item-clearfix DIG">
								<div class="item-date">{{promocode.code}}</div>
								<div class="item-time">{{promocode.discount}}%</div>
							</div>
							<div class="item-title">{{promocode.name}}</div>
							<div class="item-description">{{promocode.info}}</div>
						</div>
						<div class="item-bottom">
							<div class="item-actions">
								<div class="btn btn-default item-btn">{{translate.promocodes.ins}}</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="no-results" ng-show="loaded && !promocodes.length">{{translate.promocodes.no_results}}</div>
				
				<div class="loader-wrapper" ng-show="!loaded">
					<?php include($nav->inc.'parts/loader.php'); ?>
				</div>
			</div>
		</div>
		<?php include($nav->inc.'parts/basket-popup.php'); ?>
	</div>
</body>
</html>
